> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member

> Get Member



## OpenAPI

````yaml GET /rooms/{room_id}/members/{member_id}
openapi: 3.0.0
info:
  title: Pagecall Public API - OpenAPI 3.0
  description: >-
    This is a official Pagecall API Documents written in OpenAPI 3.0.

    Responses from the Pagecall API may contain more information, but what is
    not stated in this document may change at any time without any notice.
  termsOfService: https://pplink.notion.site/774e4131813b47f8b06e3da4524604e8
  contact:
    email: support@pagecall.com
  version: 1.0.0
servers:
  - url: https://api.pagecall.com/v1
security: []
tags:
  - name: room
    description: Operations about room resources
paths:
  /rooms/{room_id}/members/{member_id}:
    parameters:
      - in: path
        name: room_id
        required: true
        schema:
          type: string
        description: room id
        example: 000585f36eed9e8fb6b655b4
      - in: path
        name: member_id
        required: true
        schema:
          type: string
        description: member id
        example: external_user_102932
    get:
      tags:
        - member
      summary: Get Member
      description: Get Member
      operationId: GetMember
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                required:
                  - member
                properties:
                  member:
                    $ref: '#/components/schemas/Member'
        '400':
          description: Invalid Parameters Supplied or Unauthenticated or Unauthorized
        '500':
          description: Validation exception
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Member:
      type: object
      required:
        - id
        - user_id
        - room_id
        - type
      properties:
        id:
          type: string
          description: generated member id
          example: 642d103ce95bc9dc22ef789f
        user_id:
          type: string
          description: '`user_id` of the user.'
          example: external_user_102932
        room_id:
          type: string
          example: 000585f36eed9e8fb6b655b4
          description: ID of the room
        type:
          $ref: '#/components/schemas/MemberType'
    MemberType:
      type: string
      description: >
        Type of user in this room

        - guest: The user is guest.

        - host: The user is host. This user has administrator privileges.

        - monitor: The user is observer. Can watch the meeting, but can not
        join.
      enum:
        - guest
        - host
        - monitor
      example: guest
      default: guest
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````